summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
Diffstat (limited to 'graphics')
-rw-r--r--graphics/gimp-feca_hdr-plugin/README4
-rw-r--r--graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.SlackBuild63
-rw-r--r--graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.info10
-rw-r--r--graphics/gimp-feca_hdr-plugin/slack-desc19
4 files changed, 96 insertions, 0 deletions
diff --git a/graphics/gimp-feca_hdr-plugin/README b/graphics/gimp-feca_hdr-plugin/README
new file mode 100644
index 0000000000..be9880914f
--- /dev/null
+++ b/graphics/gimp-feca_hdr-plugin/README
@@ -0,0 +1,4 @@
+HDR (tone mapping) plugin for GIMP.
+
+Open as layers 3 images with -1EV, normal and +1EV
+and let the script do the magic.
diff --git a/graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.SlackBuild b/graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.SlackBuild
new file mode 100644
index 0000000000..2008c4c008
--- /dev/null
+++ b/graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for <feca_hdr>
+
+# Michales - clavisound - Michaloudes korgie@gmail.com <2012>
+
+PRGNAM=gimp-feca_hdr-plugin
+VERSION=${VERSION:-2010.04.26}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/feca_hdr.py.zip
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins/
+mv feca_hdr.py $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins/
+cd $PKG
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.info b/graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.info
new file mode 100644
index 0000000000..b71817130a
--- /dev/null
+++ b/graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.info
@@ -0,0 +1,10 @@
+PRGNAM="gimp-feca_hdr-plugin"
+VERSION="2010.04.26"
+HOMEPAGE="http://registry.gimp.org/node/24310"
+DOWNLOAD="http://registry.gimp.org/files/feca_hdr.py.zip"
+MD5SUM="248d1995a54bf77924520f6a81b524b8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/gimp-feca_hdr-plugin/slack-desc b/graphics/gimp-feca_hdr-plugin/slack-desc
new file mode 100644
index 0000000000..6d0b7b1bd8
--- /dev/null
+++ b/graphics/gimp-feca_hdr-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gimp-feca_hdr-plugin: gimp-feca_hdr-plugin (HDR (tone mapping) plugin for GIMP)
+gimp-feca_hdr-plugin:
+gimp-feca_hdr-plugin: Open as layers 3 images with -1 EV, normal and +1 EV
+gimp-feca_hdr-plugin: and let the script do the magic.
+gimp-feca_hdr-plugin:
+gimp-feca_hdr-plugin:
+gimp-feca_hdr-plugin:
+gimp-feca_hdr-plugin:
+gimp-feca_hdr-plugin:
+gimp-feca_hdr-plugin:
+gimp-feca_hdr-plugin: